ANACRON(8)

NAZWA
anacron - okresowo wykonuje polecenia

SKŁADNIA
anacron [-s] [-f] [-n] [-d] [-q] [-t anacrontab] [-S katalog spool] [zadanie]
anacron [-S katalog spool] -u [-t anacrontab] [zadanie]
anacron [-V|-h]
anacron -T [-t anacrontab]

OPIS
Anacron jest używany to okresowego wykonywania poleceń, z częstotliwością określoną w dniach. W przeciwieństwie do cron(8), nie zakłada się, że komputer jest przez cały czas uruchomiony. Dlatego można z niego korzystać na komputerach, które nie działają przez 24 godziny na dobę, aby kontrolować regularnie powtarzające się zadania - codzienne, cotygodniowe i comiesięczne.

Anacron odczytuje listę zadań z pliku konfiguracyjnego /etc/anacrontab (patrz anacrontab(5)). Plik ten zawiera listę zadań, które kontroluje Anacron. Każde zadanie ma określony okres w dniach, zwłokę w minutach, unikalny identyfikator zadania i polecenie powłoki.

Przy każdym zadaniu Anacron sprawdza, czy nie zostało ono wykonane w ciągu ostatnich n dni, gdzie n jest okresem podanym do tego zadania. Jeśli zadanie nie zostało wykonane w ciągu ostatnich n dni lub więcej, Anacron wykonuje polecenie powłoki zadania, po odczekaniu liczby minut podanej jak parametr zwłoki.

Po zakończeniu polecenia, Anacron zapisuje datę (bez godzin) w specjalnym pliku znacznika czasowego do danego zadania, dzięki czemu wie, kiedy wykonać je ponownie.

Gdy nie ma już więcej zadań do wykonania, Anacron kończy pracę.

Anacron uwzględnia tylko zadania z identyfikatorem podanym w anacrontab(5), który pasuje do argumentów wiersza polecenia zadania. Argumentami wiesza poleceń zadania mogą być wzorce maski (wildcard) powłoki (proszę upewnić się, że są one chronione, czyli odpowiednio cytowane, przed interpretacją przez powłokę). Jeśli nie poda się argumentów zadania w wierszu poleceń, jest to równoważne podaniu "*" (czyli Anacron rozważy wszystkie zadania).

O ile Anacron nie działa z opcją -d (patrz niżej), program mnoży się i przechodzi w tło podczas uruchomienia, a proces macierzysty natychmiast się kończy.

O ile Anacron nie działa z opcją -s lub -n, program uruchamia zadania zaraz po minięciu czasu odstępu. Wykonywanie różnych zadań jest całkowicie niezależne.

Jeśli wykonywane zadanie wysyła komunikaty na swoje standardowe wyjście lub standardowe wyjście błędów, to są one wysyłane pocztą elektroniczną do użytkownika, jako który działa Anacron (zwykle root) lub na adres określony w zmiennej środowiskowej MAILTO w pliku /etc/anacrontab, jeśli taka istnieje. Jeśli ustawiona jest zmienna środowiskowa LOGNAME, posłuży ona do wypełnienia pola "Od:" w wiadomości elektronicznej.

Wszelkie komunikaty wytworzone przez Anacron są wysyłane do syslogd(8) lub rsyslogd(8), jako obiekt cron, o priorytecie notice. Wiadomości o błędach są wysyłane z priorytetem error.

Zadania "aktywne" (tzn. zadania, które Anacron zdecydował się już uruchomić i obecnie czekają na minięcie czasu odstępu oraz zadania wykonywane właśnie przez Anacrona) są "zablokowane", dzięki czemu inne kopie Anacrona nie uruchomią ich w tym samym czasie.

OPCJE

-f  Wymusza wykonanie wszystkich zadań, ignorując znaczniki czasowe.

-u  Aktualizuje do bieżącej daty znaczniki czasowe wszystkich zadań, ale niczego nie uruchamia.

-s  Sekwencyjne wykonywanie zadań. Anacron nie uruchomi nowego zadania przed zakończeniem poprzedniego.

-n  Uruchamia zadania teraz i ignoruje odstępy podane w pliku /etc/anacrontab. Ta opcja implikuje -s.

-d  Nie mnoży się i nie przechodzi w tło. W tym trybie Anacron wysyła wiadomości informacyjne zarówno na standardowe wyjście, jak i do sysloga. Wyjście z wszystkich zadań jest wysyłane pocztą elektroniczną przez Anacron.

-q  Nie wypisuje żadnych komunikatów na standardowe wyjście błędów. Stosowane wyłącznie z opcją -d.

-t jakiś-anacrontab
    Używa podanego pliku anacrontab, zamiast domyślnego /etc/anacrontab.

-T  Test Anacrontab. Testuje plik konfiguracyjny /etc/anacrontab pod kątem poprawności. Jeśli w pliku znajduje się błąd, zostanie on wypisany na standardowe wyjście, a Anacron zwróci wartość 1. Poprawny plik anacrontab zwróci wartość 0.

-S katalog-spool
    Używa podanego katalogu-spool do przechowywania znaczników czasowych. Opcja jest wymagana w przypadku użytkowników, którzy chcą samodzielnie uruchamiać anacron.

-V  Wyświetla informacje o wersji i wychodzi.

-h  Wypisuje krótką informację o użyciu i wychodzi.

SYGNAŁY
Po otrzymaniu sygnału SIGUSR1, Anacron czeka na zakończenia wszystkich działających zadań i wychodzi. Sygnał może być użyty do prawidłowego zakończenia Anacrona.

UWAGI
Proszę upewnić się, że strefa czasowa użytkownika jest ustawiona poprawnie, przed uruchomieniem Anacrona (ponieważ strefa czasowa wpływa na datę). Z reguły oznacza to ustawienie zmiennej środowiskowej TZ lub zainstalowanie pliku /usr/lib/zoneinfo/localtime. Strona podręcznika tzset(3) zawiera więcej informacji.

Pliki znaczników czasowych są tworzone w katalogu spool do każdego zadania określonego w anacrontab. Nie zostaną nigdy usunięte automatycznie przez Anacron i jeśli nie są dłużej potrzebne konieczne jest ich ręczne usunięcie.

PLIKI

/etc/anacrontab
    Zawiera wykaz zadań. Szczegółowy opis zawiera strona podręcznika anacrontab(5).

/var/spool/anacron
    Katalog jest używany przez Anacron do przechowywania plików znaczników czasowych.

ZOBACZ TAKŻE
anacrontab(5), cron(8), tzset(3)

Plik README Anacrona.

USTERKI
Anacron nigdy nie usuwa plików znaczników czasowych. Konieczne jest ręczne usunięcie niepotrzebnych.

Anacron używa do dwóch deskryptorów plików do każdego aktywnego zadania. Może mu ich zabraknąć, jeśli jest zbyt dużo aktywnych zadań. Liczbę możliwych do uruchomienia jednocześnie zadań anacron można sprawdzić poleceniem echo $(($(ulimit -n) / 2)).

Komentarze, sugestie i zgłoszenia błędów proszę wysyłać pocztą elektroniczną do Seana "Shaleha" Perry'ego (shaleh@(debian.org|valinux.com)). (w języku angielskim).

AUTOR
Anacron został wymyślony i zaimplementowany przez Christiana Schwarza (schwarz@monet.m.isar.de).

Obecne implementacja to całkowicie przepisany kod przez Itaia Tzura (itzur@actcom.co.il).

Ten kod był zarządzany przez Seana "Shaleha" Perry'ego (shaleh@(debian.org|valinux.com)).

Od roku 2004 jest zarządzany przez Pascala Hakima (pasc@(debian.org|redellipse.net)).

W dystrybucji Fedora opiekunem Anacrona jest Marcela Mašláňová (mmaslano@redhat.com).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.